Subject: Style StartsOndesk problem

From: "Robert H. Ford II" <[email-masked]>
Date: Wed, 11 Nov 1998 11:04:33 -0600

I have downloaded and successfully build 2.1.1 with all the extras on Solaris
2.5.1, gcc 2.8.0, X11R6.1, make 3.76.1.

The StartsOnDesk Style in not working for me.  I noticed that in the man page
for fvwm2 a new "GlobalOpts" option has been added as a TEMPORARY command to set
some global options.

I have the following set in my $HOME/.fvwm2rc file:

GlobalOpts ActivePlacementHonorsStartsOnPage

Here is in excerp of the man page"

               ActivePlacementIgnoresStartsOnPage suppresses StartsOn-
               Page or StartsOnDesk placement in the event that both
               ActivePlacement and SkipMapping are in effect when a
               window is created. This prevents you from interactively
               placing a window and then wondering where it disap-
               peared to, because it got placed on a different desk or
               page. Specify ActivePlacementHonorsStartsOnPage to
               allow this to happen anyway, which was the old way that
               StartsOnDesk worked. This has no effect if SkipMapping
               is not in effect, because fvwm will switch to the
               proper desk/page to perform interactive placement. The
               default is ActivePlacementIgnoresStartsOnPage.

Using ActivePlacementHonorsStartsOnPage was a stab in the dark for me (I don't
set ActivePlacement as a Style) to see if this would enable the "StartsOnDesk"
Style.  It does not :-{(}

Also if I have a swallowed FvwmPager in FvwmButtons then drag and drop a window
from desktop to another, a second, third, fourth.... pager will be started.

Here is the line from my fvwmbuttons file:

(1x6,Swallow (Close,NoHints,Respawn,NoOld,Notitle) "FvwmPager" "FvwmPager 0
5",Frame 0,Back firebrick3)

This problem has to be related to being swallowed by FvwmButtons.  If I have the
pager running externally, the problem is not there.  I have tried several
different "Swallow" options with no change.

I will recompile with debug turned on and try to gather some use full
information, but maybe those of you out there who have been elbow deep in the
code can come up with a solution faster then I ever could.

I have been living with the swallowed pager problem for a long time now, but I
cannot live without my "StartsOnDesk" Style (this just might be a new setting
that I am missing.)

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked]
Date: Wed, 11 Nov 1998 19:46:51 +0100

On Wed, Nov 11, 1998 at 11:04:33AM -0600, [email-masked] wrote:
> ...

Please remember that 2.1.1 (as all 2.1.x will be) is an *unstable*
development beta release intended for testing and as a playground
for the developers. It has not been and will not be officially
announced.

Anyway, thanks for the input. We're working hard to fix any bug
that comes up.

Bye

Dominik
-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bob Woodside <[email-masked]>
Date: Wed, 11 Nov 1998 20:27:02 -0500 (EST)

"Robert H. Ford II" <[email-masked]> wrote:
> 
> The StartsOnDesk Style in not working for me.

	Sorry about the oversight. I meant to change a default setting, and
overlooked it.

	For a temporary fix, add the line

		GlobalOpts StartsOnPageModifiesUSPosition

to your .fvwm2rc. I will check in the default change to CVS later this evening,
so if you grab tomorrow's CVS snapshot, or the next beta tarball, you can
lose the GlobalOpts line.

> ...but I cannot live without my "StartsOnDesk" Style....

	Don't blame you...I couldn't either. In fact, I couldn't live without 
StartsOnPage, either.

- Bob